import { HttpStatus, HttpException } from '@nestjs/common';
import { NivelAmobladoService } from './nivel-amoblado.service';
import { CreateNivelAmobladoDto } from './dto/create-nivel-amoblado.dto';
import { UpdateNivelAmobladoDto } from './dto/update-nivel-amoblado.dto';
export declare class NivelAmobladoController {
    private nivelAmobladoService;
    constructor(nivelAmobladoService: NivelAmobladoService);
    getNivelAmobladoAll(): Promise<{
        statusCode: HttpStatus;
        message: string;
        data: HttpException | {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        }[];
    }>;
    getEstadoProyecto(page: number, limit: number): Promise<{
        statusCode: HttpStatus;
        message: string;
        data: HttpException | {
            data: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            }[];
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
        };
    }>;
    getUserSearch(page: number, limit: number, body: Record<string, any>): Promise<{
        data: HttpException | {
            data: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            }[];
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
        };
    }>;
    getNivelAmobladoById(id: number): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        id: number;
        nombre: string;
        deleted_at: Date;
        inmueble: import("../inmueble/inmueble.entity").Inmueble[];
    }>;
    createNivelAmoblado(newNivelAmoblado: CreateNivelAmobladoDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        };
        status: HttpStatus;
        message: string;
    }>;
    updateNivelAmoblado(id: number, nivelAmoblado: UpdateNivelAmobladoDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        };
        status: HttpStatus;
        message: string;
    }>;
    deleteNivelAmoblado(id: number): Promise<HttpException | import("typeorm").UpdateResult>;
}
